package com.njcn.pojo.wave;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.List;

/**
 * @author hongawen
 * @date: 2020/10/26 11:19
 */
public class WaveDataDetail {

    private InstantF instantF;

    private RmsF rmsF;

    private String a ="A相";

    private String b ="B相";

    private String c ="C相";

    private String unit;

    private Boolean isOpen = false;

    private List<String> colors= new ArrayList<>();

    public Boolean getOpen() {
        return isOpen;
    }

    public void setOpen(Boolean open) {
        isOpen = open;
    }

    public InstantF getInstantF() {
        return instantF;
    }

    public void setInstantF(InstantF instantF) {
        this.instantF = instantF;
    }

    public RmsF getRmsF() {
        return rmsF;
    }

    public void setRmsF(RmsF rmsF) {
        this.rmsF = rmsF;
    }

    public String getA() {
        return a;
    }

    public void setA(String a) {
        this.a = a;
    }

    public String getB() {
        return b;
    }

    public void setB(String b) {
        this.b = b;
    }

    public String getC() {
        return c;
    }

    public void setC(String c) {
        this.c = c;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public List<String> getColors() {
        return colors;
    }

    public void setColors(List<String> colors) {
        this.colors = colors;
    }

    @Override
    public String toString() {
        return "WaveDataDetail{" +
                "instantF=" + instantF +
                ", rmsF=" + rmsF +
                ", a='" + a + '\'' +
                ", b='" + b + '\'' +
                ", c='" + c + '\'' +
                ", unit='" + unit + '\'' +
                '}';
    }
}
